Method: customers.v2.Schemas.list

すべてのスキーマを取得します。

HTTP リクエスト

GET https://cloudidentityscim.googleapis.com/v1/customers/{customerId}/v2/Schemas

この URL は gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
customerId

string

必須。顧客の ID。

リクエストの本文

リクエストの本文は空にする必要があります。

レスポンスの本文

スキーマの一覧表示からのレスポンス メッセージ。

成功した場合、レスポンスの本文には次の構造のデータが含まれます。

JSON 表現
{
  "schemas": [
    string
  ],
  "resources": [
    {
      object (Schema)
    }
  ],
  "totalResults": integer
}
フィールド
schemas[]

string

返されたリソースのスキーマ。

resources[]

object (Schema)

リクエストされたリソースのリスト。

totalResults

integer

結果の合計数。

認可スコープ

次の OAuth スコープのいずれかが必要です。

  • https://www.googleapis.com/auth/cloud-identity.groups.readonly
  • https://www.googleapis.com/auth/cloud-identity.groups
  • https://www.googleapis.com/auth/cloud-identity
  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/admin.directory.user.readonly
  • https://www.googleapis.com/auth/admin.directory.user

詳細については、認可ガイドをご覧ください。